from . import Serializer
from . import PrinterInfo

from UM.i18n import i18nCatalog
i18n_catalog = i18nCatalog("Serializer")

def getMetaData():
    return {
        "type": "extension",
        "plugin":
        {
            "name": "Sarlex Serializer",
            "author": "Alexander Wensierski und Sarah Soomro",
            "version": "1.0.0",
            "supported_sdk_versions": ["6.0.0","6.1.0","6.2.0","6.3.0","7.0.0","7.1.0"],
            "description": i18n_catalog.i18nc("Description of plugin","Enables Series print and calculation between values like quality and infillpercent")
        }
    }

# Plugin registrieren und Objekt der Klasse Serializer in dem Modul Serializer erstellen
def register(app):
    return {"extension": Serializer.Serializer()}
